Subject: Re: Gardening Books

From: [email-masked] (C A Dream5)
Date: 26 Jan 1996 09:30:49 -0500

Hi,
I picked up this thread a little late in the day. However, I have found
the Royal Horticultural Society's Gardeners Encyclopedia of Plants and
Flowers to be an excellent general plant reference.  It does not refer to
US zones being a British book. However, it has lots of color pictures of
plants and some general garden design tips. It is a reference book for
plants and cannot be recommended as a basic gardening book. It is a useful
book in any case. I do not know where to buy it in the US. I picked it up
on a trip to England some years ago.

Regards,

Michael L Mcwilliams
C A [email-masked]
A dream is only tomorrow, unborn.